%define		subver	2016-08-18
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin	icalevents
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	Displays a calendar in iCalendar format according to a template
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/real-or-random/dokuwiki-plugin-icalevents/releases/download/%{subver}/dokuwiki-plugin-icalevents-%{subver}.zip
# Source0-md5:	518006eaaf16200112f2d5feb403a7f6
URL:		http://www.dokuwiki.org/plugin:icalevents
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	dokuwiki >= 20080505
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
Requires:	php(xml)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Many calendars can export their entries in the iCalendar (RFC 2445)
format. This plugin can read such an *.ics file from an URL, parse it
and display upcoming events as an HTML table.

%prep
%setup -qc
mv *icalevents*/* .

# empty file
rm index.html

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/conf
%{plugindir}/ics.png
%dir %{plugindir}/externals
%{plugindir}/externals/iCalcreator
%changelog
* Thu Aug 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-icalevents.git;a=log;h=master

* Thu Aug 18 2016 Elan Ruusamäe <glen@delfi.ee> 5d1e508
- up to 2016-08-18

* Thu Aug 18 2016 Elan Ruusamäe <glen@delfi.ee> 9dbdd58
- up to 20160817

* Thu Aug 18 2016 Elan Ruusamäe <glen@delfi.ee> 344a5f0
- up to 2012-10-13

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> bfaa445
- use virtual php deps
- release 2 (by relup.sh)

* Mon Sep 10 2012 Elan Ruusamäe <glen@delfi.ee> 5821ede
- better use of macros

* Sun Sep 09 2012 Elan Ruusamäe <glen@delfi.ee> 9140a55
- up to 20120909

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 26e8c56
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> b6f5dfd
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Tue May 24 2011 Elan Ruusamäe <glen@pld-linux.org> 054a4ea
- add show current week patch

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e623f3b
- BR: unzip

* Mon Dec 06 2010 Elan Ruusamäe <glen@pld-linux.org> 98e7c7f
- allow $from to take any param that strtotime supports

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> ae05063
- allow more params via wiki syntax

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> 51058ef
- reset error state when fetching next calendar

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> b877a92
- plugin must be in dir with proper caps to work

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> 02c3fee
- new

